// An object listing my different identity aspects

export const IDENTITIES = {
  26: {
    url: "",
    images: [
      {
        src: "/emoji/18_plus.svg",
        alt: "Over 18 emoji",
      },
    ],
    extra_classes: "pointer-events-none",
  },
  "Trans-femme": {
    url: "/identities/gender",
    images: [
      {
        src: "/emoji/transgender_flag.svg",
        alt: "Transgender flag emoji",
      },
      {
        src: "/emoji/female_symbol.svg",
        alt: "Female symbol emoji",
      },
    ],
    extra_classes: "xl:pt-1 xl:align-text-bottom xl:text-sm xl:min-h-full",
  },
  "She/her": {
    url: "/identities/pronouns",
    images: [
      {
        src: "/emoji/speech_bubble_left.svg",
        alt: "A speech bubble emoji",
      },
    ],
    extra_classes: "",
  },
  Polyam: {
    url: "/identities/sexuality",
    images: [
      {
        src: "/emoji/polyamory_flag.svg",
        alt: "Polyamory flag emoji",
      },
    ],
    extra_classes: "",
  },
  Pansexual: {
    url: "/identities/sexuality",
    images: [
      {
        src: "/emoji/pansexual_flag.svg",
        alt: "Pansexual flag emoji",
      },
    ],
    extra_classes: "",
  },
  Lesbian: {
    url: "/identities/sexuality",
    images: [
      {
        src: "/emoji/lesbian_flag.svg",
        alt: "Lesbian flag emoji",
      },
    ],
    extra_classes: "",
  },
  Single: {
    url: "/identities/partners",
    images: [
      {
        src: "/emoji/blue_heart.svg",
        alt: "Blue heart emoji",
      },
    ],
    extra_classes: "",
  },
  ADHD: {
    url: "/identities/neuro",
    images: [
      {
        src: "/emoji/neurodiversity.svg",
        alt: "Neurodiversity symbol emoji",
      },
    ],
    extra_classes: "",
  },
  "Fox witch": {
    url: "/identities/fursona",
    images: [
      {
        src: "/emoji/fox.svg",
        alt: "Fox emoji",
      },
      {
        src: "/emoji/magic_wand.svg",
        alt: "Magic wand emoji",
      },
    ],
    extra_classes: "xl:pt-1 xl:align-text-bottom xl:text-sm xl:min-h-full",
  },
};

// An object listing pages folks can visit

export const PAGES = {
  "Stuff I do!": {
    url: "/projects",
    images: [
      {
        src: "/emoji/crt_prompt.svg",
        alt: "CRT prompt emoji",
      },
    ],
  },
  "See Testimonials!": {
    url: "/testimonials",
    images: [{ src: "/emoji/awoo.svg", alt: "Awoo emoji" }],
  },
  "HRT Tracker!": {
    url: "/hrt",
    images: [
      {
        src: "/emoji/trans_heart.png",
        alt: "Transgender heart emoji",
      },
    ],
  },
  FAQ: {
    url: "/faq",
    images: [
      {
        src: "/emoji/red_question_mark.svg",
        alt: "Red question mark emoji",
      },
    ],
  },
  "Support Me?": {
    url: "/support",
    images: [
      {
        src: "/emoji/green_money.svg",
        alt: "Green money emoji",
      },
    ],
  },
};

// Use this to list out partners on the partners page. >w>

export const PARTNERS = {
  //   parnter: {
  //     url: "",
  //     avi: "",
  //     fields: {
  //       "": "",
  //     },
  //     bio: ``,
  //   },
};

// This is where you put the testimonial users' info

export const TESTIMONIALS = {
  colabunny: {
    json: "https://yiff.life/@colabunny.json",
    url: "https://yiff.life/@colabunny",
    content: '"please stay your jokes are funny and smart"',
  },
  ElfLord: {
    url: "https://freedom.horse/@ElfLord",
    json: "https://freedom.horse/@ElfLord.json",
    content: `"Someday I'm gonna visit you in Texas, and when I get there, I'm going to realize you don't live in Texas at all, and I'm in the wrong state"`,
  },
  Decimal: {
    url: "https://plush.city/@Decimal",
    json: "https://plush.city/@Decimal.json",
    content: `"I will appreciate the heck out of you any day"`,
  },
  skelly: {
    url: "https://redroo.ml/@skelly",
    json: "https://redroo.ml/@skelly.json",
    content: `"this an an official invitation for any one of you to put 'fuck you i dont give testimonials' as a testimonial by me on your profile"`,
  },
  Drako_Fenris: {
    url: "https://yiff.life/@Drako_Fenris",
    json: "https://yiff.life/@Drako_Fenris.json",
    content: `"[Alexis' future wife] lives in the ether yet to be revealed. she awaits the day her big tiddie goth gf rides in on her unicorn and rescues her."`,
  },
  "00dani": {
    url: "https://vulpine.club/@00dani",
    json: "https://vulpine.club/@00dani.json",
    content: `"*falls in love with you* haha whoopsies 😳"`,
  },
  Gumby: {
    url: "https://puppy.cafe/@Gumby",
    json: "https://puppy.cafe/@Gumby.json",
    content: `"im love alexis a lot 💚 🐀"`,
  },
  AshBunny: {
    url: "https://vulpine.club/@AshBunny",
    json: "https://vulpine.club/@AshBunny.json",
    content: `"heck. I don't think I can take all of this support."`,
  },
  heatherhorns: {
    url: "https://plush.city/@heatherhorns",
    json: "https://plush.city/@heatherhorns.json",
    content: `";~;

    gpsd gosh"`,
  },
  MutoShack: {
    url: "https://functional.cafe/@MutoShack",
    json: "https://functional.cafe/@MutoShack.json",
    content: `"yess w'all say nice things! usually "alexis is the good" and "alexis is the gay"

    because it is the truth"`,
  },
  immychan: {
    url: "https://antabaka.me/@immychan",
    json: "https://antabaka.me/@immychan.json",
    content: `"Oh damn you're cute 😳"`,
  },
  nautilee: {
    url: "https://dragon.style/@nautilee",
    json: "https://dragon.style/@nautilee.json",
    content: `"...how are you so goshdarn cute"`,
  },
  lindsays: {
    url: "https://hackers.town/@lindsays",
    json: "https://hackers.town/@lindsays.json",
    content: `"Regarding @shadow8t4  : She's an amazing, sweet, beautiful dork, and a spectacular best friend. also, a butt."`,
  },
};

// This is where I put the questions and answers for the FAQ

export const FAQS = {
  q1: {
    question: `"So is Werefox like a species or...?"`,
    answer: `That's a good question! No, my fursona's full name is Alexis Werefox, 
        so Werefox is just a last name. I am just a fox!`,
    src: "/images/alexis_heart.png",
    alt: "Alexis giving a heart emoji",
  },
  q2: {
    question: `"How can you be Pansexual and a Lesbian?"`,
    answer: `I believe I've been told the proper term is "sapphic", 
        it just means I *am* Pansexual, but I prefer those who identify more femme.`,
    src: "/images/alexis_wink.png",
    alt: "Alexis winking and giving a peace sign",
  },
  q3: {
    question: `"How do I get more Xenia stickers?"`,
    answer: `Yeah, about that. So, I've made a few posts aobut this, but when 
        I first started giving those out, I was in a good financial position, among 
        other things. Now I'm not! I will get to it when I do.`,
    src: "/images/alexis_annoyed.png",
    alt: "Alexis looking annoyed and crossing her arms",
  },
  q4: {
    question: `"What do you do?"`,
    answer: `Something! I mainly focus on maintaining the services I run at the 
        moment, Beat Saber streaming, myself and my transition. I could use some 
        financial support, if you're feeling up to it and can afford it!`,
    src: "/images/alexis_shrug.png",
    alt: "Alexis shrugging",
  },
};

// An object listing the different stuff I do

export const PROJECTS = {
  Services: {
    url: "/projects/services",
    src: "/emoji/crt_blue_screen.svg",
    alt: "A CRT blue screen emoji",
    description: `Here is a list of some of the services I host.
    Some of them, because a few I keep to just myself.`,
  },
  Poetry: {
    url: "https://write.as/a-letter-to-the-void",
    new_tab: true,
    src: "/emoji/pen.svg",
    alt: "Pen emoji",
    description: `Sometimes, I write poetry. It's not the happiest
    always, but I am proud of it. It would mean a lot if you took
    a look!`,
  },
};

// An object listing the services I host

export const SERVICES = {
  Mastodon: {
    url: "https://masto.werefox.dev/about/",
    new_tab: true,
    src: "/emoji/mastodon-logo.png",
    alt: "The Mastodon logo",
    description: `Mastodon is an online, self-hosted social media, and social networking service. 
      It allows anyone to host their own server node in the network, and its various separately 
      operated user bases are federated across many different servers.`,
  },
  Pinafore: {
    url: "https://pina.werefox.dev/",
    new_tab: true,
    src: "/emoji/pinafore_logo.svg",
    alt: "The Pinafore logo",
    description: `An alternative web client for Mastodon, focused on speed and simplicity.`,
  },
  Halcyon: {
    url: "https://halcyon.werefox.dev/",
    new_tab: true,
    src: "/emoji/halcyon_logo.png",
    alt: "The Halcyon logo",
    description: `Halcyon is standard Twitter like client of Mastodon, And you can use it just 
      by login to your instance. Let's Toot like a tweet.`,
  },
  Brutaldon: {
    url: "https://brutal.werefox.dev/",
    new_tab: true,
    src: "/emoji/brutaldon_logo.png",
    alt: "The Brutaldon logo",
    description: `Brutaldon is a brutalist, Web 1.0 web interface for Mastodon and Pleroma.`,
  },
  PeerTube: {
    url: "https://vid.werefox.dev/",
    new_tab: true,
    src: "/emoji/peertube_logo.svg",
    alt: "The PeerTube logo",
    description: `PeerTube is a free and open-source, decentralized, federated video platform 
      powered by ActivityPub and WebTorrent, that uses peer-to-peer technology to reduce load on 
      individual servers when viewing videos.`,
  },
  Element: {
    url: "https://elem.werefox.dev/",
    new_tab: true,
    src: "/emoji/element_logo.svg",
    alt: "The Element logo",
    description: `Element (previously Riot) is an all-in-one secure chat app for teams, 
      friends and organisations. Keeps conversations in your control, safe from data-mining 
      and ads. Talk to everyone through the open global Matrix network, protected by proper 
      end-to-end encryption. (additionally, I host a Matrix server at matrix.werefox.dev)`,
  },
  Gitea: {
    url: "https://gitea.werefox.dev/",
    new_tab: true,
    src: "/emoji/gitea_logo.svg",
    alt: "The Gitea logo",
    description: `A painless self-hosted Git service. Gitea is a community managed 
      lightweight code hosting solution written in Go. It is published under the MIT license.`,
  },
};
